i=1;
for i=1:length(x)
A(i)=log10(yblind(i)/y(i));
A1(i)=log10(yblind(i)/y1(i));
A2(i)=log10(yblind(i)/y2(i));
A3(i)=log10(yblind(i)/y3(i));
A4(i)=log10(yblind(i)/y4(i));
i=i+1;
end

%p = polyfit(x,y3,1);
%yfit = polyval(p,x);
%yresid = y3 - yfit;
%SSresid = sum(yresid.^2);
%SStotal = (length(y3)-1) * var(y3);
%rsq = 1 - SSresid/SStotal;



figure(1)
hold on
set(gca,'XLim',[350 900])
plot(x,A,'g',x,A1,'b',x,A2,'c',x,A3,'r',x,A4,'k')
legend('20% základního roztoku','40% základního roztoku','60% základního roztoku','80% základního roztoku','100% základního roztoku','Location','northeast')
legend ('boxoff')
xlabel('Vlnová délka[nm]')
ylabel('Absorbance[-]')
hold off